abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
včera 13:37 | Bezpečnostní upozornění

Společnost Cloudflare (Wikipedie) na svém blogu potvrdila bezpečnostní problém s její službou. V požadovaných odpovědích od reverzní proxy byla odesílána také data z neinicializované paměti. Útočník tak mohl získat cookies, autentizační tokeny, data posílaná přes HTTP POST a další citlivé informace. Jednalo se o chybu v parsování HTML. Zneužitelná byla od 22. září 2016 do 18. února 2017. Seznam webů, kterých se bezpečnostní problém potenciálně týká na GitHubu.

Ladislav Hagara | Komentářů: 1
včera 08:22 | Nová verze

Byla vydána první beta verze Ubuntu 17.04 s kódovým názvem Zesty Zapus. Ke stažení jsou obrazy Kubuntu, Lubuntu, Ubuntu Budgie, Ubuntu GNOME, Ubuntu Kylin, Ubuntu Studio a Xubuntu. Dle plánu by Ubuntu 17.04 mělo vyjít 13. dubna 2017.

Ladislav Hagara | Komentářů: 10
23.2. 17:53 | Bezpečnostní upozornění

Google na svém blogu věnovaném počítačové bezpečnost informuje o nalezení "reálného" způsobu generování kolizí hašovací funkce SHA-1. Podrobnosti a zdrojové kódy budou zveřejněny do 90 dnů. Již dnes lze ale na stránce SHAttered nalézt 2 pdf soubory, jejichž obsah se liší a SHA-1 otisk je stejný (infografika).

Ladislav Hagara | Komentářů: 26
23.2. 17:51 | Nová verze

Vyšla nová verzia open source software na správu a automatizáciu cloudových datacentier Danube Cloud 2.4. Danube Cloud je riešenie postavené na SmartOS, ZFS, KVM a zónach. Obsahuje vlastnosti ako integrovaný monitoring, DNS manažment, zálohy, a samozrejme rozsiahlu dokumentáciu.

dano | Komentářů: 6
23.2. 17:46 | Pozvánky

V Plzni se 3. až 5. března 2017 uskuteční AIMTEChackathon. Je to akce pro vývojáře, grafiky, webdesignéry i veřejnost. Akci provází zajímavé přednášky IT odborníků. Více o programu a možnosti přihlášení na stránkách akce.

cuba | Komentářů: 0
23.2. 01:00 | Nová verze

Známý šifrovaný komunikátor Signal od verze 3.30.0 již nevyžaduje Google Play Services. Autoři tak po letech vyslyšeli volání komunity, která dala vzniknout Google-free forku LibreSignal (dnes již neudržovaný). Oficiální binárky jsou stále distribuované pouze přes Google Play, ale lze použít neoficiální F-Droid repozitář fdroid.eutopia.cz s nezávislými buildy Signalu nebo oficiální binárku stáhnout z Google Play i bez Google účtu

… více »
xm | Komentářů: 7
22.2. 23:14 | Nová verze

Po třech týdnech od vydání první RC verze byla vydána první stabilní verze 17.01.0 linuxové distribuce pro routery a vestavěné systémy LEDE (Linux Embedded Development Environment), forku linuxové distribuce OpenWrt. Přehled novinek v poznámkách k vydání. Dotazy v diskusním fóru.

Ladislav Hagara | Komentářů: 7
22.2. 17:28 | Bezpečnostní upozornění

Byly zveřejněny informace o bezpečnostní chybě CVE-2017-6074 v Linuxu zneužitelné k lokální eskalaci práv. Jde o chybu v podpoře DCCP (Datagram Congestion Control Protocol). Do linuxového jádra se dostala v říjnu 2005. V upstreamu byla opravena 17. února (commit). Bezpečnostní chyba byla nalezena pomocí nástroje syzkaller [Hacker News].

Ladislav Hagara | Komentářů: 16
22.2. 15:00 | Zajímavý software

Společnost Valve vydala novou beta verzi SteamVR. Z novinek lze zdůraznit oficiální podporu Linuxu. Další informace o podpoře této platformy pro vývoj virtuální reality v Linuxu v diskusním fóru. Hlášení chyb na GitHubu.

Ladislav Hagara | Komentářů: 0
22.2. 06:00 | Nová verze

Po necelém roce od vydání verze 0.67 byla vydána verze 0.68 populárního telnet a ssh klienta PuTTY. Podrobnosti v přehledu změn. Řešeny jsou také bezpečnostní chyby.

Ladislav Hagara | Komentářů: 0
Jak se stavíte k trendu ztenčování přenosných zařízení (smartphony, notebooky)?
 (13%)
 (2%)
 (72%)
 (3%)
 (10%)
Celkem 704 hlasů
 Komentářů: 66, poslední 22.2. 18:57
    Rozcestník

    Dotaz: Gentoo - problém s libstdc++.so.6

    18.10.2009 14:30 filbar | skóre: 36 | blog: Denicek_programatora | Ostrava
    Gentoo - problém s libstdc++.so.6
    Přečteno: 429×
    Po sobotní aktualizaci Gentoo(emerge -pvUD world) se mi nějak rozbila knihovna libstdc++.so.6. Gentoo používám ve verzi amd64 čistě 64 bitovou s balíčky emul-linux-x86*. Po aktualizaci mi ale revdep-rebuild stále hlási:
     * Collecting system binaries and libraries
     * Generated new 1_files.rr
     * Collecting complete LD_LIBRARY_PATH
     * Generated new 2_ldpath.rr
     * Checking dynamic linking consistency
    [ 25% ]  *   broken /usr/lib32/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so (requires libjpeg.so.62)
    [ 26% ]  *   broken /usr/lib32/libdb_cxx-4.5.so (requires libstdc++.so.6)
     *   broken /usr/lib32/libdb_cxx-4.7.so (requires libstdc++.so.6)
     *   broken /usr/lib32/libFLAC++.so.6.2.0 (requires libstdc++.so.6)
     *   broken /usr/lib32/libGLU.so.1.3.070300 (requires libstdc++.so.6)
     *   broken /usr/lib32/libimlib-jpeg.so (requires libjpeg.so.62)
     *   broken /usr/lib32/libImlib.so.1.9.15 (requires libjpeg.so.62)
    [ 27% ]  *   broken /usr/lib32/libmodplug.so.0.0.0 (requires libstdc++.so.6)
     *   broken /usr/lib32/libpcrecpp.so.0.0.0 (requires libstdc++.so.6)
     *   broken /usr/lib32/libportaudiocpp.so.0.0.12 (requires libstdc++.so.6)
     *   broken /usr/lib32/libsmpeg-0.4.so.0.1.3 (requires libstdc++.so.6)
     *   broken /usr/lib32/libtiffxx.so.3.8.2 (requires libstdc++.so.6)
     *   broken /usr/lib32/libusbpp-0.1.so.4.4.4 (requires libstdc++.so.6)
    [ 97% ]  *   broken /usr/local/lib64/xmms/Input/libvorbis.la (requires /usr/lib64/libogg.la)
     *   broken /usr/qt/3/lib32/libqt-mt.so.3.3.8 (requires libstdc++.so.6)
     *   broken /usr/qt/3/lib32/libqui.so.1.0.0 (requires libqt-mt.so.3
    libstdc++.so.6)
    [ 100% ]                 
     * Generated new 3_broken.rr
     * Assigning files to packages
     *   /usr/lib32/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so -> app-emulation/emul-linux-x86-gtklibs
     *   /usr/lib32/libdb_cxx-4.5.so -> app-emulation/emul-linux-x86-baselibs
     *   /usr/lib32/libdb_cxx-4.7.so -> app-emulation/emul-linux-x86-baselibs
     *   /usr/lib32/libFLAC++.so.6.2.0 -> app-emulation/emul-linux-x86-soundlibs
     *   /usr/lib32/libGLU.so.1.3.070300 -> app-emulation/emul-linux-x86-xlibs
     *   /usr/lib32/libimlib-jpeg.so -> app-emulation/emul-linux-x86-gtklibs
     *   /usr/lib32/libImlib.so.1.9.15 -> app-emulation/emul-linux-x86-gtklibs
     *   /usr/lib32/libmodplug.so.0.0.0 -> app-emulation/emul-linux-x86-soundlibs
     *   /usr/lib32/libpcrecpp.so.0.0.0 -> app-emulation/emul-linux-x86-baselibs
     *   /usr/lib32/libportaudiocpp.so.0.0.12 -> app-emulation/emul-linux-x86-soundlibs
     *   /usr/lib32/libsmpeg-0.4.so.0.1.3 -> app-emulation/emul-linux-x86-sdl
     *   /usr/lib32/libtiffxx.so.3.8.2 -> app-emulation/emul-linux-x86-baselibs
     *   /usr/lib32/libusbpp-0.1.so.4.4.4 -> app-emulation/emul-linux-x86-baselibs
     *  !!! /usr/local/lib64/xmms/Input/libvorbis.la not owned by any package is broken !!!
     *   /usr/local/lib64/xmms/Input/libvorbis.la -> (none)
     *   /usr/qt/3/lib32/libqt-mt.so.3.3.8 -> app-emulation/emul-linux-x86-qtlibs
     *   /usr/qt/3/lib32/libqui.so.1.0.0 -> app-emulation/emul-linux-x86-qtlibs
     * Generated new 4_raw.rr and 4_owners.rr
     * Cleaning list of packages to rebuild
     * Generated new 4_pkgs.rr
     * Assigning packages to ebuilds
     * Generated new 4_ebuilds.rr
     * Evaluating package order
     * Generated new 5_order.rr
     * All prepared. Starting rebuild
    emerge --oneshot --pretend --verbose app-emulation/emul-linux-x86-baselibs:0
    app-emulation/emul-linux-x86-gtklibs:0
    app-emulation/emul-linux-x86-qtlibs:0
    app-emulation/emul-linux-x86-sdl:0
    app-emulation/emul-linux-x86-soundlibs:0
    app-emulation/emul-linux-x86-xlibs:0
    
    These are the packages that would be merged, in order:
    
    Calculating dependencies... done!
    [ebuild   R   ] app-emulation/emul-linux-x86-baselibs-20091004_rc1  0 kB
    [ebuild   R   ] app-emulation/emul-linux-x86-xlibs-20091004_rc1  USE="-opengl" 0 kB
    [ebuild   R   ] app-emulation/emul-linux-x86-gtklibs-20071214  USE="qt3" 0 kB
    [ebuild   R   ] app-emulation/emul-linux-x86-soundlibs-20091004_rc1  USE="alsa arts -esd" 0 kB
    [ebuild   R   ] app-emulation/emul-linux-x86-qtlibs-20091004_rc1  0 kB
    [ebuild   R   ] app-emulation/emul-linux-x86-sdl-20091004_rc1  0 kB
    
    a ani Skype mi libstdc++ nenajde.

    Nevíte někdo co dělám špatně?

    Odpovědi

    18.10.2009 15:40 Gofas
    Rozbalit Rozbalit vše Re: Gentoo - problém s libstdc++.so.6
    revdep-rebuild ... zkus
    18.10.2009 15:48 filbar | skóre: 36 | blog: Denicek_programatora | Ostrava
    Rozbalit Rozbalit vše Re: Gentoo - problém s libstdc++.so.6
    To jsem psal hned v prvním řádku otázky :O, že
    Po aktualizaci mi ale revdep-rebuild stále hlási ...
    Takže revdep-rebuild to neřeší.
    Marián Kyral avatar 18.10.2009 17:07 Marián Kyral | skóre: 29 | blog: Sem_Tam | Frýdek-Místek
    Rozbalit Rozbalit vše Re: Gentoo - problém s libstdc++.so.6

    Libstdc++ je součástí gcc. Máš gcc skompilované s flagem multilib?

     

    # equery b libstdc++.so.6
    * Searching for libstdc++.so.6 ...
    sys-devel/gcc-4.3.4 (/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.4/32/libstdc++.so.6 -> libstdc++.so.6.0.10)
    sys-devel/gcc-4.3.4 (/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.4/libstdc++.so.6 -> libstdc++.so.6.0.10)
    sys-devel/gcc-4.4.2 (/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.2/32/libstdc++.so.6 -> libstdc++.so.6.0.13)
    sys-devel/gcc-4.4.2 (/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.2/libstdc++.so.6 -> libstdc++.so.6.0.13)
    18.10.2009 18:44 filbar | skóre: 36 | blog: Denicek_programatora | Ostrava
    Rozbalit Rozbalit vše Re: Gentoo - problém s libstdc++.so.6
    Multilib právě nepoužívám. Dosud jsem to řešil přes app-emul* a fungovalo to do sobotní aktualizace.
    Marián Kyral avatar 18.10.2009 20:01 Marián Kyral | skóre: 29 | blog: Sem_Tam | Frýdek-Místek
    Rozbalit Rozbalit vše Re: Gentoo - problém s libstdc++.so.6

    Aha, tak v tom případě by měla být tahle knihovna součástí nějakého emul-* balíku.  Já mám jednak multilib (z profilu), ale mám i zároveň nainstalované některé emul-* balíky. Zkus se mrknout, které balíky se teď změnily:

    qlop --list app-emulation
    A taky bych zadal bug do bugs.gentoo.org. Zatím jsem tam nic takového nenašel.
    19.10.2009 17:43 filbar | skóre: 36 | blog: Denicek_programatora | Ostrava
    Rozbalit Rozbalit vše Re: Gentoo - problém s libstdc++.so.6
    Nakonec jsem to vyřešil nainstalování 32-bitového základu Gentoo do /gentoo32 podle totho návodu a přidáním řádku
    /gentoo32//usr/lib/gcc/i686-pc-linux-gnu/4.3.4/
    
    do /etc/ld.so.conf a Skype se rozjel ;)

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.